Package com.google.android.exoplayer2

## Class RendererConfiguration

- java.lang.Object
- - com.google.android.exoplayer2.RendererConfiguration

-     public final class RendererConfiguration
      extends Object

  The configuration of a `Renderer`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static RendererConfiguration` | `DEFAULT` | The default configuration.
    `boolean` | `tunneling` | Whether to enable tunneling.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RendererConfiguration​(boolean tunneling)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final RendererConfiguration DEFAULT

      The default configuration.

    - #### tunneling

          public final boolean tunneling

      Whether to enable tunneling.

  - ### Constructor Detail

    - #### RendererConfiguration

          public RendererConfiguration​(boolean tunneling)

      Parameters:
        `tunneling` - Whether to enable tunneling.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`